Summary:          PDF mapping resources from Adobe
Name:             adobe-mappings-pdf
Version:          20230118
Release:          2%{?dist}
License:          BSD
URL:              https://www.adobe.com/
Source:           https://github.com/adobe-type-tools/mapping-resources-pdf/archive/%{version}.tar.gz
 
BuildArch:        noarch
BuildRequires:    git make
 
%description
Mapping resources for PDF have a variety of functions, such as mapping CIDs
(Character IDs) to character codes, or mapping character codes to other
character codes.

These PDF mapping resources are useful for some applications (e.g. Ghostscript)
to function properly.
 
%package devel
Summary:          RPM macros for  PDF mapping resources of Adobe
Requires:         adobe-mappings-pdf = %{version}-%{release}
 
%description devel
This package is useful for development purposes only. It installs RPM
macros useful for building packages against adobe-mappings-pdf,
as well as all the fonts contained in this font set.
 
%prep
%autosetup -n mapping-resources-pdf-%{version} -S git
 
%install
%make_install prefix=%{_prefix}
install -m 0755 -d %{buildroot}%{_rpmconfigdir}/macros.d
 
cat > %{buildroot}%{_rpmconfigdir}/macros.d/macros.adobe-mappings-pdf << _EOF
%%adobe_mappings_rootpath     %{_datadir}/adobe/resources/mapping/
_EOF
 
 
%files
%license LICENSE.txt
%doc README.md
%dir %{_datadir}/adobe
%dir %{_datadir}/adobe/resources
%dir %{_datadir}/adobe/resources/mapping
%{_datadir}/adobe/resources/mapping/pdf2other
%{_datadir}/adobe/resources/mapping/pdf2unicode
 
%files devel
%{_rpmconfigdir}/macros.d/macros.adobe-mappings-pdf
 
 
%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20230118-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 20230118-1
- Upgrade to version 20230118

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20190401-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20190401-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20190401-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Feng Weiyao <wynnfeng@tencent.com> - 20190401-1
- package init.
